commit:     22755c1273f2f6a3dd8fab5b51d0571cc1ce0382
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Fri Sep 23 17:40:11 2016 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Fri Sep 23 17:40:11 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=22755c12

sci-biology/staden_doc: add new version

Package-Manager: portage-2.3.0

 .../staden_doc/staden_doc-2.0.0_beta11.ebuild      | 44 ++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/sci-biology/staden_doc/staden_doc-2.0.0_beta11.ebuild 
b/sci-biology/staden_doc/staden_doc-2.0.0_beta11.ebuild
new file mode 100644
index 0000000..df82c8d
--- /dev/null
+++ b/sci-biology/staden_doc/staden_doc-2.0.0_beta11.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="Documentation files for the staden package"
+HOMEPAGE="http://sourceforge.net/projects/staden";
+SRC_URI="http://sourceforge.net/projects/staden/files/staden/${PV/_beta/b}/staden_doc-${PV/_beta/b}-src.tar.gz";
+# https://sourceforge.net/p/staden/code/HEAD/tree/staden/trunk/doc/
+
+LICENSE="staden"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="dev-lang/perl
+       app-text/texlive
+       app-text/texi2html"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/staden_doc-${PV/_beta/b}-src
+
+# do not use texi2html-5 because it fails with:
+# texi2html -menu -verbose -split_chapter -index_chars interface.htmlinfo
+# Unknown option: index_char
+# src_prepare(){
+#      # avoid running bundled texi2html code
+#      sed -e "s#./tools/texi2html#texi2html#" -i manual/Makefile || die
+# }
+
+src_compile(){
+       cd manual || die
+       make -j 1 spotless || die
+       cd .. || die
+       emake -j 1 unix PAPER=A4
+}
+
+src_install(){
+       emake -j 1 install prefix="${D}"/usr
+       dodoc gkb547_gml.pdf
+}

Reply via email to